TTTT Analysis 0.1

Public Member Functions | Static Public Member Functions | Protected Member Functions | Private Attributes | List of all members
fv::DeTup< N, ArgTypes > Class Template Reference

Gets the Nth element from a tuple value. More...

`#include <value.hpp>`

Inheritance diagram for fv::DeTup< N, ArgTypes >:
[legend]
Collaboration diagram for fv::DeTup< N, ArgTypes >:
[legend]

## Public Member Functions
| DeTup (Value< std::tuple< ArgTypes... >> *tup, const std::string &alias)
Public Member Functions inherited from fv::DerivedValue< std::tuple_element< N, std::tuple< ArgTypes... > >::type >
| DerivedValue (const std::string &name, const std::string &alias="")
void | log ()
std::tuple_element< N, std::tuple< ArgTypes... > >::type & | get_value ()
| Calculate, if necessary, and return the value held by this object.
Public Member Functions inherited from fv::Value< std::tuple_element< N, std::tuple< ArgTypes... > >::type >
| Value (const std::string &name, const std::string &alias="")
void | enable_logging (const std::function< std::string(std::tuple_element< N, std::tuple< ArgTypes... > >::type)> &value_to_string=[](std::tuple_element< N, std::tuple< ArgTypes... > >::type){return "";})
void | disable_logging ()

## Static Public Member Functions
static std::string | fmt_name (Value< std::tuple< ArgTypes... >> *tup)

## Protected Member Functions
void | update_value ()
| Updates the internal value. More...

## Private Attributes
Value< std::tuple< ArgTypes... > > | tup

## Additional Inherited Members
Protected Attributes inherited from fv::DerivedValue< std::tuple_element< N, std::tuple< ArgTypes... > >::type >
std::tuple_element< N, std::tuple< ArgTypes... > >::type | value
Protected Attributes inherited from fv::Value< std::tuple_element< N, std::tuple< ArgTypes... > >::type >
std::function< std::string(std::tuple_element< N, std::tuple< ArgTypes... > >::type)> | value_to_string

## Detailed Description

### template<size_t N, typename... ArgTypes>
class fv::DeTup< N, ArgTypes >

Gets the Nth element from a tuple value.

## Member Function Documentation

## ◆ update_value()

template<size_t N, typename... ArgTypes>

void fv::DeTup< N, ArgTypes >::update_value | ( |  | ) |
| inline protected virtual

Updates the internal value.

This function should be overridden by any child class to do the actual work of updating value based on whatever rules the class chooses. Normally, this consists of geting the values from some associated Value objects, doing some calculation on them, and storing the result in value.

Implements fv::DerivedValue< std::tuple_element< N, std::tuple< ArgTypes... > >::type >.

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval/value.hpp